Retrieve Fmarket’s product detail
curl --request POST \
--url https://api.fireant.vn/fmarket/markets/get-product-detail \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product_id": "<string>"
}
'import requests
url = "https://api.fireant.vn/fmarket/markets/get-product-detail"
payload = { "product_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({product_id: '<string>'})
};
fetch('https://api.fireant.vn/fmarket/markets/get-product-detail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/fmarket/markets/get-product-detail",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'product_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/fmarket/markets/get-product-detail"
payload := strings.NewReader("{\n \"product_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fireant.vn/fmarket/markets/get-product-detail")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"product_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/fmarket/markets/get-product-detail")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"product_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"name": "<string>",
"short_name": "<string>",
"code": "<string>",
"description": "<string>",
"min_purchase_value": 123,
"max_purchase_value": 123,
"expected_profit": 123,
"approval_date_label": "<string>",
"sale_payment_term": 123,
"order_book_closed_time_label": "<string>",
"receive_money_closed_time_label": "<string>",
"trading_session": 123,
"trading_session_format": "<string>",
"product_fee_lst": [
{
"type": "<string>",
"begin_operator": "<string>",
"begin_volume": 123,
"end_operator": "<string>",
"end_volume": 123,
"fee": 123,
"dest_product_id": 123
}
],
"management_fee": 123,
"min_purchase_fee": 123,
"max_purchase_fee": 123,
"min_sale_fee": 123,
"max_sale_fee": 123,
"nav": 123,
"nav_date": "<string>",
"nav_to_previous_value": 123,
"nav_to_previous": 123,
"nav_to_last_year": 123,
"min_holding_volume": 123,
"fund_asset_type": {
"id": 123,
"name": "<string>",
"code": "<string>"
},
"issuer_info": {
"id": 123,
"name": "<string>",
"short_name": "<string>",
"website": "<string>",
"avatar_url": "<string>"
},
"asset_allocations": [
{
"id": 123,
"name": "<string>"
}
],
"nav_change": {
"nav_to_3_months": 123,
"nav_to_6_months": 123,
"nav_to_12_months": 123,
"nav_to_36_months": 123,
"nav_to_beginning": 123,
"annualized_return_36_months": 123
}
}Fmarket
Retrieve Fmarket’s product detail
POST
/
fmarket
/
markets
/
get-product-detail
Retrieve Fmarket’s product detail
curl --request POST \
--url https://api.fireant.vn/fmarket/markets/get-product-detail \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product_id": "<string>"
}
'import requests
url = "https://api.fireant.vn/fmarket/markets/get-product-detail"
payload = { "product_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({product_id: '<string>'})
};
fetch('https://api.fireant.vn/fmarket/markets/get-product-detail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/fmarket/markets/get-product-detail",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'product_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/fmarket/markets/get-product-detail"
payload := strings.NewReader("{\n \"product_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fireant.vn/fmarket/markets/get-product-detail")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"product_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/fmarket/markets/get-product-detail")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"product_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"name": "<string>",
"short_name": "<string>",
"code": "<string>",
"description": "<string>",
"min_purchase_value": 123,
"max_purchase_value": 123,
"expected_profit": 123,
"approval_date_label": "<string>",
"sale_payment_term": 123,
"order_book_closed_time_label": "<string>",
"receive_money_closed_time_label": "<string>",
"trading_session": 123,
"trading_session_format": "<string>",
"product_fee_lst": [
{
"type": "<string>",
"begin_operator": "<string>",
"begin_volume": 123,
"end_operator": "<string>",
"end_volume": 123,
"fee": 123,
"dest_product_id": 123
}
],
"management_fee": 123,
"min_purchase_fee": 123,
"max_purchase_fee": 123,
"min_sale_fee": 123,
"max_sale_fee": 123,
"nav": 123,
"nav_date": "<string>",
"nav_to_previous_value": 123,
"nav_to_previous": 123,
"nav_to_last_year": 123,
"min_holding_volume": 123,
"fund_asset_type": {
"id": 123,
"name": "<string>",
"code": "<string>"
},
"issuer_info": {
"id": 123,
"name": "<string>",
"short_name": "<string>",
"website": "<string>",
"avatar_url": "<string>"
},
"asset_allocations": [
{
"id": 123,
"name": "<string>"
}
],
"nav_change": {
"nav_to_3_months": 123,
"nav_to_6_months": 123,
"nav_to_12_months": 123,
"nav_to_36_months": 123,
"nav_to_beginning": 123,
"annualized_return_36_months": 123
}
}Ủy quyền
OAuth2 Implicit Grant
Nội dung
application/jsontext/json
Phản hồi
Thành công
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes